<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function column

Return a column from a Matrix.


## Syntax

```js
math.column(value, index)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`value` | Array &#124; Matrix | An array or matrix
`column` | number | The index of the column

### Returns

Type | Description
---- | -----------
Array &#124; Matrix | The retrieved column


### Throws

Type | Description
---- | -----------


## Examples

```js
// get a column
const d = [[1, 2], [3, 4]]
math.column(d, 1) // returns [[2], [4]]
```


## See also

[row](row.md)
